> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 시스템 점검

> 모든 시스템 컴포넌트의 상태를 확인합니다.

반환값:
    다음 상태가 포함된 JSON:
    - api: Endpoint에 연결할 수 있으면 항상 true
    - database: DB 연결이 정상적으로 작동하는지 여부
    - cpu_queue: 성공 여부, 소요 시간 및 오류(있는 경우)
    - gpu_queue: 성공 여부, 소요 시간 및 오류(있는 경우)

검사 중 하나라도 실패하면 HTTP 503을 반환합니다.



## OpenAPI

````yaml /ko/serverless-training/api-reference/openapi.json get /v1/system-check
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/system-check:
    get:
      tags:
        - health
      summary: 시스템 점검
      description: |-
        모든 시스템 컴포넌트의 상태를 확인합니다.

        반환값:
            다음 상태가 포함된 JSON:
            - api: Endpoint에 연결할 수 있으면 항상 true
            - database: DB 연결이 정상적으로 작동하는지 여부
            - cpu_queue: 성공 여부, 소요 시간 및 오류(있는 경우)
            - gpu_queue: 성공 여부, 소요 시간 및 오류(있는 경우)

        검사 중 하나라도 실패하면 HTTP 503을 반환합니다.
      operationId: system_check_v1_system_check_get
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: 성공 응답

````